io.undertow.server.handlers.form

## Interface FormData.FormValue

Enclosing class:
  FormData

    public static interface FormData.FormValue

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`String` `getCharset()`
`File` `getFile()` Deprecated.
`FormData.FileItem` `getFileItem()`
`String` `getFileName()`
`HeaderMap` `getHeaders()`
`Path` `getPath()` Deprecated.
`String` `getValue()`
`boolean` `isFile()` Deprecated.
`boolean` `isFileItem()`

### Method Detail

#### getValue

    String getValue()

Returns:
  the simple string value.
Throws:
  `IllegalStateException` - If this is not a simple string value

#### getCharset

    String getCharset()

Returns:
  The charset of the simple string value

#### isFile

    @Deprecated
    boolean isFile()

Deprecated.
Returns true if this is a file and not a simple string

Returns:

#### getPath

    @Deprecated
    Path getPath()

Deprecated.

Returns:
  The temp file that the file data was saved to
Throws:
  `IllegalStateException` - if this is not a file

#### getFile

    @Deprecated
    File getFile()

Deprecated.

#### getFileItem

    FormData.FileItem getFileItem()

#### isFileItem

    boolean isFileItem()

#### getFileName

    String getFileName()

Returns:
  The filename specified in the disposition header.

#### getHeaders

    HeaderMap getHeaders()

Returns:
  The headers that were present in the multipart request, or null if this was not a multipart request